Update a Priority Intelligence Requirement
PUT/accounts/{account_id}/cloudforce-one/requests/priority/{priority_id}
Update a Priority Intelligence Requirement
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Update a Priority Intelligence Requirement
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/requests/priority/$PRIORITY_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
-d '{
"labels": [
"DoS",
"CVE"
],
"priority": 1,
"requirement": "DoS attacks carried out by CVEs",
"tlp": "clear"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"content": "What regions were most effected by the recent DoS?",
"created": "2022-04-01T05:20:00Z",
"priority": "2022-04-01T05:20:00Z",
"request": "Victomology",
"summary": "DoS attack",
"tlp": "clear",
"updated": "2022-04-01T05:20:00Z",
"completed": "2022-04-01T05:20:00Z",
"message_tokens": 1,
"readable_id": "RFI-2022-000001",
"status": "open",
"tokens": 16
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"content": "What regions were most effected by the recent DoS?",
"created": "2022-04-01T05:20:00Z",
"priority": "2022-04-01T05:20:00Z",
"request": "Victomology",
"summary": "DoS attack",
"tlp": "clear",
"updated": "2022-04-01T05:20:00Z",
"completed": "2022-04-01T05:20:00Z",
"message_tokens": 1,
"readable_id": "RFI-2022-000001",
"status": "open",
"tokens": 16
}
}